import request from '@/utils/request'


// 重新运行计划
export function appRetry(jobUuid) {
  return request({
    url: '/business/ctApplyPlan/appRetry',
    method: 'post',
    data: {jobUuid}
  })
}

// 停止运行计划
export function stopRun(jobUuid) {
  return request({
    url: '/business/ctApplyPlan/stopRun',
    method: 'post',
    data: {jobUuid}
  })
}

// 查询应用执行计划管理列表
export function listCtApplyPlan(query) {
  return request({
    url: '/business/ctApplyPlan/list',
    method: 'get',
    params: query
  })
}

// 查询应用执行计划管理详细
export function getCtApplyPlan(id) {
  return request({
    url: '/business/ctApplyPlan/' + id,
    method: 'get'
  })
}

// 新增应用执行计划管理
export function addCtApplyPlan(data) {
  return request({
    url: '/business/ctApplyPlan',
    method: 'post',
    data: data
  })
}

// 修改应用执行计划管理
export function updateCtApplyPlan(data) {
  return request({
    url: '/business/ctApplyPlan',
    method: 'put',
    data: data
  })
}

// 删除应用执行计划管理
export function delCtApplyPlan(id) {
  return request({
    url: '/business/ctApplyPlan/' + id,
    method: 'delete'
  })
}
